@font-face {
  font-family: 'IBM Plex Mono';
  font-style: normal;
  font-weight: 700;
  src: local('IBM Plex Mono Bold'),
    local('IBMPlexMono-Bold'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-Bold.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-Bold.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'IBM Plex Mono';
  font-style: italic;
  font-weight: 700;
  src: local('IBM Plex Mono Bold Italic'),
    local('IBMPlexMono-BoldItalic'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-BoldItalic.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-BoldItalic.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'IBM Plex Mono';
  font-style: normal;
  font-weight: 200;
  src: local('IBM Plex Mono ExtLt'),
    local('IBMPlexMono-ExtLt'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-ExtraLight.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-ExtraLight.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'IBM Plex Mono';
  font-style: italic;
  font-weight: 200;
  src: local('IBM Plex Mono ExtLt Italic'),
    local('IBMPlexMono-ExtLtItalic'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-ExtraLightItalic.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-ExtraLightItalic.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'IBM Plex Mono';
  font-style: normal;
  font-weight: 400;
  src: local('IBM Plex Mono'),
    local('IBMPlexMono'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-Regular.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-Regular.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'IBM Plex Mono';
  font-style: italic;
  font-weight: 400;
  src: local('IBM Plex Mono Italic'),
    local('IBMPlexMono-Italic'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-Italic.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-Italic.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'IBM Plex Mono';
  font-style: normal;
  font-weight: 300;
  src: local('IBM Plex Mono Light'),
    local('IBMPlexMono-Light'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-Light.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-Light.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'IBM Plex Mono';
  font-style: italic;
  font-weight: 300;
  src: local('IBM Plex Mono Light Italic'),
    local('IBMPlexMono-LightItalic'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-LightItalic.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-LightItalic.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'IBM Plex Mono';
  font-style: normal;
  font-weight: 600;
  src: local('IBM Plex Mono SmBld'),
    local('IBMPlexMono-SmBld'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-SemiBold.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-SemiBold.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'IBM Plex Mono';
  font-style: italic;
  font-weight: 600;
  src: local('IBM Plex Mono SmBld Italic'),
    local('IBMPlexMono-SmBldItalic'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-SemiBoldItalic.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-SemiBoldItalic.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'IBM Plex Mono';
  font-style: normal;
  font-weight: 500;
  src: local('IBM Plex Mono Medm'),
    local('IBMPlexMono-Medm'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-Medium.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-Medium.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'IBM Plex Mono';
  font-style: italic;
  font-weight: 500;
  src: local('IBM Plex Mono Medm Italic'),
    local('IBMPlexMono-MedmItalic'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-MediumItalic.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-MediumItalic.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'IBM Plex Mono';
  font-style: normal;
  font-weight: 100;
  src: local('IBM Plex Mono Thin'),
    local('IBMPlexMono-Thin'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-Thin.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-Thin.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'IBM Plex Mono';
  font-style: italic;
  font-weight: 100;
  src: local('IBM Plex Mono Thin Italic'),
    local('IBMPlexMono-ThinItalic'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-ThinItalic.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-ThinItalic.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'IBM Plex Mono';
  font-style: normal;
  font-weight: 450;
  src: local('IBM Plex Mono Text'),
    local('IBMPlexMono-Text'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-Text.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-Text.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: 'IBM Plex Mono';
  font-style: italic;
  font-weight: 450;
  src: local('IBM Plex Mono Text Italic'),
    local('IBMPlexMono-TextItalic'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff2/IBMPlexMono-TextItalic.woff2') format('woff2'),
    url('#{$font-prefix}/IBM-Plex-Mono/woff/IBMPlexMono-TextItalic.woff') format('woff');
  font-display: swap;
}
